[GE users] sge -updatedb cannot execute in 6.1

Marco Donauer Marco.Donauer at Sun.COM
Wed May 16 08:16:42 BST 2007


    [ The following text is in the "ISO-8859-1" character set. ]
    [ Your display is set for the "ISO-8859-10" character set.  ]
    [ Some special characters may be displayed incorrectly. ]

Kazuhiro,

for updateing to 6.1 the -updatedb is not necessary anymore.
Please find attached the documentation for upgrading from 6.0u2 or 
higher to 6.1.

Regards,
Marco


Kazuhiro Ohi wrote:

>
> Hi,
>
> I'm trying to patch update from 6.0update10 to 6.1 by
> following instruction.
> http://gridengine.sunsource.net/install60patch.txt
>
> but, I can not execute the command
> % sge -updatedb
>
> How do I patch update to 6.1?
>
> Sincerely
> K.O
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
> For additional commands, e-mail: users-help at gridengine.sunsource.net
>

-- 

Sun Microsystems GmbH         Marco Donauer
Dr.-Leo-Ritter-Str. 7         N1 Grid Engine Engineering
D-93049 Regensburg            Phone: +49 (0)941 3075-211  (x60211)
Germany                       Fax: +49 (0)941 3075-222  (x60222)
http://www.sun.com/gridware
mailto:marco.donauer at sun.com
Sitz der Gesellschaft: Sun Microsystems GmbH, Sonnenallee 1, 
D-85551 Kirchheim-Heimstetten
Amtsgericht Muenchen: HRB 161028
Geschaeftsfuehrer: Marcel Schneider, Wolfgang Engels, Dr. Roland Boemer
Vorsitzender des Aufsichtsrates: Martin Haering 



    [ Part 2: "Attached Text" ]

Tutorial: How to perform an upgrade to new N1GE 6.1
---------------------------------------------------

Upgrade to 6.1 are only possible from 6.0u2 or higher.
Upgrades from Version 5.3 or Version 6.0/6.0u1 are not supported anymore.
If you are still running 5.3 or 6.0/6.0u1 Versions, it is recommend to upgrade
to 6.0u10 and then to 6.1.

There are 2 upgrade scenarios.

1. Upgradeing to 6.1 using classic/berkeley db spooling
2. Upgradeing to 6.1 using BDB server spooling.

Due to an issue in Berkeley DB Server, it was not possible to run a 64 bit BDB server
on 64 bit hosts. The 6.0ux Version used a 32bit BDB Server for spooling.
This needs an additional step in the upgrade procedure, which will be described later.

1. Steps for upgrading from 6.0u2 or higher to 6.1 using classic/berkeley db spooling

   - do a complete backup of your cluster.
     (see. Admin Guide for further info, backup)
   - shutdown the cluster using the command: qconf -ke all -ks -km
   - extract the new binaries to SGE_ROOT, exchange the old with new one
   - execute ./inst_sge -upd, and follow the instructions. This update will
     recreate the rc-files and settings files.
   - restart the cluster, by using the sgemaster and sgeexecd rc files
   - upgrade will be complete now


2. Steps for upgrading from 6.0u2 or higher to 6.1 using berkeley db server.

   Attention:(This is onlay necessary, if you Berkeley DB Server host is a
sol-sparc64 machine). For 64 bit Solaris a 64 bit Berkeley DB Server was not
available. The 32 bit Server was used in stead. For doing a backup or a
restore the 32 bit db_dump and db_load binaries are recommended.
The solaris 32 bit packages have to be installed also. For all patch-levels
less then or equal to u9 you may easily use the ./inst_sge -bup command for doing a backup.
Due to an issue in u10, the backup will still look for the libdb-4.2.so file, which
is not available. This leads to an backup failure. The workaroun,d making the backup work is the following
command: touch $SGE_ROOT/lib/sol-sparc/libdb-4.2.so 
The backup will work now.

   - do a complete backup of your cluster.
     (see. Admin Guide for further info, backup)
   - shutdown the cluster using the command: qconf -ke all -ks -km
   - shutdown the BDB Server, using the sgebdb stop script
   - extract the new binaries to SGE_ROOT, exchange the old with new one
   - do a restore (see: Admin Guide for restoring cluster configuration)
   - execute ./inst_sge -upd, and follow the instructions. This update will
     recreate the rc-files and settings files.
   - restart BDB Server, Qmaster and Execd's
   - upgrade will be complete now.





    [ Part 3: "Attached Text" ]

    [ The following text is in the "iso-8859-1" character set. ]
    [ Your display is set for the "ISO-8859-10" character set.  ]
    [ Some special characters may be displayed incorrectly. ]

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: users-help at gridengine.sunsource.net



More information about the gridengine-users mailing list